"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Profile = void 0;
const react_native_1 = require("react-native");
const context_1 = require("../context/context");
const react_native_paper_1 = require("react-native-paper");
const helpers_1 = require("../helpers");
const Gutter_1 = require("../component/Gutter");
const react_1 = __importDefault(require("react"));
const AntDesign_1 = __importDefault(require("react-native-vector-icons/AntDesign"));
const MaterialCommunityIcons_1 = __importDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
const Profile = () => {
    const { userDetail } = (0, context_1.useLMS)();
    const arr = (0, helpers_1.deleteKeysFromObject)((0, helpers_1.filterArrays)(userDetail?.kyb), (0, helpers_1.getArrayKeysNotIFileType)(userDetail?.kyb || {}));
    return (react_1.default.createElement(react_native_1.View, null, userDetail?.kyb && (react_1.default.createElement(react_native_1.View, null,
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Personal Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.8 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label },
            "Full Name",
            " "),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, userDetail.kyb.fullName),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label },
            "Contact Number",
            " "),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, userDetail.kyb.contactNumber),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label }, "Email"),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, userDetail.kyb.email),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Business Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.8 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label },
            "Business Type",
            " "),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, (0, helpers_1.pascalCase)(userDetail.kyb.status)),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label }, "NTN"),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, userDetail.kyb.ntn),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall", style: styles.label }, "Business Address"),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, userDetail.kyb.businessAddress),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Additional Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.8 }),
        Object.entries(arr).map(([key, value]) => {
            const attachment = value;
            return (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(react_native_paper_1.Text, { variant: "labelLarge", style: { fontWeight: "500" } }, (0, helpers_1.convertToTitleCase)(key)),
                react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.1 }),
                attachment.map((m) => (react_1.default.createElement(react_native_paper_1.Card, { key: m.resourceURL, style: styles.card, elevation: 0 },
                    react_1.default.createElement(react_native_1.View, { style: styles.cardContent },
                        react_1.default.createElement(react_native_1.View, { style: styles.attachmentWrapper },
                            react_1.default.createElement(react_native_paper_1.Text, null, m.name),
                            react_1.default.createElement(react_native_paper_1.Text, { style: styles.caption },
                                (0, helpers_1.formatFileSize)(m.size),
                                " Completed")),
                        react_1.default.createElement(react_native_1.View, { style: styles.iconRow },
                            react_1.default.createElement(MaterialCommunityIcons_1.default, { name: "delete", color: "rgba(0, 0, 0, 0.56)", size: 22 }),
                            react_1.default.createElement(AntDesign_1.default, { name: "checkcircle", color: "#178D46", size: 22 })))))),
                react_1.default.createElement(Gutter_1.Gutter, { spacing: 1 })));
        })))));
};
exports.Profile = Profile;
const styles = react_native_1.StyleSheet.create({
    label: { color: "rgb(124, 117, 126)" },
    row: { flexDirection: "row" },
    iconRow: {
        flex: 1,
        flexDirection: "row",
        alignItems: "center",
    },
    errorText: {
        color: "red",
        marginTop: 10,
    },
    uploadButton: {
        borderRadius: 6,
    },
    card: {
        width: "100%",
        padding: 10,
        justifyContent: "center",
        backgroundColor: "transparent",
        borderRadius: 4,
        borderWidth: 1,
        borderColor: "#DBDBDB",
        marginTop: 10,
    },
    cardContent: {
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "center",
        flexWrap: "nowrap",
    },
    caption: {
        color: "gray",
    },
    attachmentWrapper: {
        width: "100%",
        maxWidth: "80%",
    },
});
