"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterFinance = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const formik_1 = require("formik");
const Yup = __importStar(require("yup"));
const helpers_1 = require("../helpers");
const react_native_flash_message_1 = require("react-native-flash-message");
const segment_1 = __importDefault(require("../utils/segment"));
const data_1 = require("../data");
const segmentEvents_1 = require("../data/segmentEvents");
const constant_1 = require("../data/constant");
const context_1 = require("../context/context");
const react_native_paper_1 = require("react-native-paper");
const hooks_1 = require("../hooks");
const Gutter_1 = require("../component/Gutter");
const FieldTextInput_1 = require("../component/molecules/FieldTextInput");
const FieldNumberInput_1 = require("../component/molecules/FieldNumberInput");
const FieldDropdown_1 = require("../component/molecules/FieldDropdown");
const UploadAttachment_1 = require("../component/molecules/UploadAttachment");
const attachmentSchema = Yup.object({
    values: Yup.array().min(1, () => {
        return "Required";
    }),
}).required();
const validationSchema = Yup.object().shape({
    fullName: Yup.string().required("Full Name is required"),
    email: Yup.string().email("valid email is required"),
    businessName: Yup.string().required("Business Name is required"),
    businessType: Yup.string().required(),
    businessAddress: Yup.string()
        .min(5, "Valid business address is required")
        .required("Business Address is required"),
    ntn: Yup.string()
        .min(7, "Valid NTN is required")
        .max(14, "Valid NTN is required")
        .required("NTN is required"),
    contactNumber: Yup.string()
        .matches(helpers_1.phoneNumPatternForLogin, "Contact Number is not valid")
        .min(10, "Contact Number should be 10 digits long.")
        .max(10, "Contact Number should be 10 digits long.")
        .required("Contact Number no is required"),
    partnerCnic: attachmentSchema.when("businessType", {
        is: "partnership",
        then: attachmentSchema.required("Partner CNIC is required"),
    }),
    partnershipDeed: attachmentSchema.when("businessType", {
        is: "partnership",
        then: attachmentSchema.required(),
    }),
    authorityLetter: attachmentSchema.when("businessType", {
        is: "partnership",
        then: attachmentSchema.required(),
    }),
    directorsResolution: attachmentSchema.when("businessType", {
        is: "company",
        then: attachmentSchema.required(),
    }),
    memorandumArticlesAssociation: attachmentSchema.when("businessType", {
        is: "company",
        then: attachmentSchema.required(),
    }),
    boardMemberCnic: attachmentSchema.when("businessType", {
        is: "company",
        then: attachmentSchema.required(),
    }),
    pocCnic: attachmentSchema.when("businessType", {
        is: "company",
        then: attachmentSchema.required(),
    }),
    beneficialOwnerCnic: attachmentSchema.when("businessType", {
        is: "company",
        then: attachmentSchema.required(),
    }),
    cnicFront: attachmentSchema.when("businessType", {
        is: "soleProprietorship" || "individual",
        then: attachmentSchema.required(),
    }),
    cnicBack: attachmentSchema.when("businessType", {
        is: "soleProprietorship" || "individual",
        then: attachmentSchema.required(),
    }),
    proprietorshipDeclaration: attachmentSchema.when("businessType", {
        is: "soleProprietorship",
        then: attachmentSchema.required(),
    }),
    ntnCertificate: attachmentSchema.when("businessType", {
        is: "soleProprietorship",
        then: attachmentSchema.required(),
    }),
    permissionLetter: attachmentSchema.when("businessType", {
        is: "branchOffice",
        then: attachmentSchema.required(),
    }),
    signatoryPassports: attachmentSchema.when("businessType", {
        is: "branchOffice",
        then: attachmentSchema.required(),
    }),
    formIIParticulars: attachmentSchema.when("businessType", {
        is: "branchOffice",
        then: attachmentSchema.required(),
    }),
    principalOfficeAuthorization: attachmentSchema.when("businessType", {
        is: "branchOffice",
        then: attachmentSchema.required(),
    }),
    bankDetails: Yup.object().shape({
        accountTitle: Yup.string().test("accountTitle", (num, values) => {
            const { parent: { accountNumber, accountTitle, iban }, } = values;
            if (values.options.context &&
                values.options.context.isBankRequired &&
                !accountTitle) {
                return values.createError({
                    path: values.path,
                    message: "Account Title is required",
                });
            }
            if (!!accountNumber || !!iban) {
                if (!accountTitle)
                    return values.createError({
                        path: values.path,
                        message: "Account Title is required",
                    });
            }
            return true;
        }),
        accountNumber: Yup.string().test("accountNumber", (num, values) => {
            const { parent: { accountNumber, accountTitle, iban }, } = values;
            if (values.options.context &&
                values.options.context.isBankRequired &&
                !accountNumber) {
                return values.createError({
                    path: values.path,
                    message: "Account Number is required",
                });
            }
            if (!!accountNumber || !!accountTitle || !!iban) {
                if (!accountNumber)
                    return values.createError({
                        path: values.path,
                        message: "Account Number is required",
                    });
            }
            return true;
        }),
        iban: Yup.string(),
    }),
});
const RegisterFinance = ({ onSuccess, isBankRequired = false }) => {
    const [banks, setBanks] = (0, react_1.useState)([]);
    const [loading, setLoading] = (0, react_1.useState)(true);
    const { axiosInstance, setInfo, info, userDetail } = (0, context_1.useLMS)();
    //const theme = useTheme();
    const { setAppError } = (0, hooks_1.useAppErrors)();
    const onSubmit = async (value, action) => {
        try {
            action.setSubmitting(true);
            // Convert into desire format
            const tempValue = Object.keys(value).reduce((acc, key) => {
                if (value[key]?.isAttachment) {
                    return {
                        ...acc,
                        [key]: value[key].values,
                    };
                }
                else {
                    return {
                        ...acc,
                        [key]: value[key],
                    };
                }
            }, {});
            if (tempValue.bankDetails.accountTitle === "" &&
                tempValue.bankDetails.accountNumber === "" &&
                tempValue.bankDetails.iban === "") {
                delete tempValue.bankDetails;
            }
            const finalValue = {
                ...tempValue,
                contactNumber: "+92" + tempValue.contactNumber,
            };
            const documentLength = (0, helpers_1.arrayLength)(finalValue);
            const { data } = await axiosInstance.post("/v1/external-lending/sme/users", finalValue);
            (0, react_native_flash_message_1.showMessage)({
                message: "Successfully created",
                type: "success",
            });
            segment_1.default?.identify(data.kyb.id);
            onSuccess?.(data);
            setInfo?.({ email: data.kyb.email });
            action.resetForm({
                values: data_1.CBFS_INITIAL_DATA,
            });
            segment_1.default?.track(segmentEvents_1.SEGMENT_EVENTS.COMPLETE_KYC_REGISTRATION, {
                ...(0, helpers_1.removeArrays)(finalValue),
                ...constant_1.PLATFORM,
                attached_documents_count: documentLength,
            });
        }
        catch (e) {
            setAppError(e?.response?.data, action);
        }
        finally {
            action.setSubmitting(false);
        }
    };
    const fetchBank = (0, react_1.useCallback)(async () => {
        try {
            const { data } = await axiosInstance.get("/v1/external-lending/sme/banks");
            setBanks(data.banks.map((m) => {
                return { label: m.bank_name, value: m.bank_code };
            }));
        }
        catch (e) {
            (0, react_native_flash_message_1.showMessage)({
                message: "Unable to fetch bank list",
                type: "danger",
            });
        }
    }, [axiosInstance]);
    (0, react_1.useEffect)(() => {
        setLoading(false);
    }, [info, userDetail]);
    (0, react_1.useEffect)(() => {
        fetchBank();
    }, [fetchBank]);
    return (react_1.default.createElement(react_native_1.View, { style: styles.container }, !loading && (react_1.default.createElement(formik_1.Formik, { initialValues: { ...data_1.CBFS_INITIAL_DATA, isBankRequired }, validationSchema: validationSchema, onSubmit: onSubmit }, ({ values, handleSubmit, isSubmitting, setValues, setFieldValue, dirty, isValid, }) => (react_1.default.createElement(react_native_1.View, null,
        react_1.default.createElement(react_native_paper_1.Text, { variant: "headlineSmall", style: { fontWeight: "500" } }, "Register for Financing"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.1 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, "For helping us understand your business better, please provide the required detail"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.7 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Personal Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.6 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { placeholder: "Enter Full Name", name: "fullName", title: "Full Name", onBlur: () => segment_1.default.track(segmentEvents_1.SEGMENT_EVENTS.START_KYC_REGISTRATION, {
                ...constant_1.PLATFORM,
            }) }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.1 }),
        react_1.default.createElement(FieldNumberInput_1.FieldNumberInput, { title: "Contact Number", placeholder: "3001XXXXXX", name: "contactNumber", maxLength: 10, left: react_1.default.createElement(react_native_paper_1.TextInput.Affix, { text: "+92" }) }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.1 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { placeholder: "Enter email address", name: "email", style: {
                width: "100%",
            }, title: "Email" }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Bank Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.6 }),
        react_1.default.createElement(FieldDropdown_1.FieldDropdownInput, { title: "Bank Name", name: "bank", items: banks, onValueChange: () => { } }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { name: "bankDetails.accountTitle", placeholder: "Account Title", title: "Account Title" }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(FieldNumberInput_1.FieldNumberInput, { placeholder: "Account Number", name: "bankDetails.accountNumber", title: "Account Number" }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { placeholder: "IBAN", name: "bankDetails.iban", title: "IBAN" }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Business Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.6 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { placeholder: "Business Name", name: "businessName", title: "Business Name" }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        react_1.default.createElement(FieldDropdown_1.FieldDropdownInput, { title: "Business type", name: "businessType", items: data_1.BUSINESS_TYPE, onValueChange: (value) => {
                setValues({
                    ...(0, helpers_1.removeKeysWithIsAttachment)(values),
                    businessType: value,
                    ...data_1.BusinessType[`${value}`],
                });
            } }),
        react_1.default.createElement(FieldNumberInput_1.FieldNumberInput, { placeholder: `Enter ${values.businessType === "soleProprietorship" ||
                values.businessType === "individual"
                ? "CNIC"
                : "NTN"} number`, name: "ntn", title: "NTN", maxLength: 14 }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.1 }),
        react_1.default.createElement(FieldTextInput_1.FieldTextInput, { placeholder: "Enter Business Address", name: "businessAddress", title: "Business Address", multiline: true, numberOfLines: 2, style: { height: 100 } }),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 1.5 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: "titleLarge", style: { fontWeight: "500" } }, "Additional Details"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.5 }),
        (0, helpers_1.findKeysWithIsAttachment)(values).map((m) => {
            const attachment = values[m];
            return (react_1.default.createElement(react_native_1.View, { style: styles.attachment, key: m },
                react_1.default.createElement(UploadAttachment_1.UploadAttachment, { name: `${m}.values`, title: `${attachment.title}${attachment.required ? "*" : ""}` })));
        }),
        react_1.default.createElement(react_native_paper_1.Button, { style: styles.button, mode: "contained", onPress: () => handleSubmit(), disabled: isSubmitting || !isValid || !dirty }, "Submit")))))));
};
exports.RegisterFinance = RegisterFinance;
const styles = react_native_1.StyleSheet.create({
    container: {
        minHeight: 3000,
        display: "flex",
        flex: 1,
        padding: 16,
    },
    scrollViewContent: {
        padding: 16,
    },
    attachment: {
        marginBottom: 10,
    },
    button: { borderRadius: 4 },
});
