"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestEdit = void 0;
const react_1 = __importDefault(require("react"));
const react_native_paper_1 = require("react-native-paper");
const react_native_1 = require("react-native");
const context_1 = require("../context/context");
const Gutter_1 = require("../component/Gutter");
const FontAwesome_1 = __importDefault(require("react-native-vector-icons/FontAwesome"));
const react_native_flash_message_1 = require("react-native-flash-message");
const RequestEdit = () => {
    const { userDetail } = (0, context_1.useLMS)();
    const openWhatsApp = () => {
        let url = 'whatsapp://send?text=' +
            encodeURIComponent('Hai I need help') +
            '&phone=' +
            '+923180110801';
        react_native_1.Linking.canOpenURL(url)
            .then(supported => {
            if (supported) {
                return react_native_1.Linking.openURL(url);
            }
            else {
                (0, react_native_flash_message_1.showMessage)({
                    message: 'Please install WhatsApp to send a direct message.',
                    type: 'danger',
                });
            }
        })
            .catch(err => (0, react_native_flash_message_1.showMessage)({
            message: err,
            type: 'danger',
        }));
    };
    return (react_1.default.createElement(react_native_1.View, { style: styles.wrapper },
        react_1.default.createElement(react_native_paper_1.Text, { variant: 'bodyLarge' }, "Want to make changes to your profile?"),
        react_1.default.createElement(Gutter_1.Gutter, { spacing: 0.2 }),
        react_1.default.createElement(react_native_paper_1.Text, { variant: 'bodySmall' }, "Request changes to be made to your profile using the following method:"),
        react_1.default.createElement(react_native_1.View, { style: {} }),
        react_1.default.createElement(Gutter_1.Gutter, { gap: 1 }),
        react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                openWhatsApp();
            } },
            react_1.default.createElement(react_native_1.View, { style: { ...styles.row, alignItems: 'center' } },
                react_1.default.createElement(FontAwesome_1.default, { name: 'whatsapp', color: '#075E54', size: 20 }),
                react_1.default.createElement(Gutter_1.Gutter, { gap: 0.4 }),
                react_1.default.createElement(react_native_paper_1.Text, { variant: 'bodyMedium' }, '+92-3180110801')))));
};
exports.RequestEdit = RequestEdit;
const styles = {
    wrapper: {
        display: 'flex',
        flexDirection: 'column',
        padding: 16,
        width: '100%',
        flexWrap: 'nowrap',
    },
    row: {
        display: 'flex',
        flexDirection: 'row',
    },
    column: {
        display: 'flex',
        flexDirection: 'column',
    },
    gap: {
        width: 10,
        height: 10,
    },
};
