"use strict";
// DropdownInput
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldDropdownInput = void 0;
const React = __importStar(require("react"));
const react_native_paper_1 = require("react-native-paper");
const react_native_picker_select_1 = __importDefault(require("react-native-picker-select"));
const formik_1 = require("formik");
const FieldDropdownInput = ({ onValueChange, name, title, ...props }) => {
    const [, meta] = (0, formik_1.useField)(name);
    const error = meta.touched && meta.error;
    return (React.createElement(React.Fragment, null,
        title && React.createElement(react_native_paper_1.Text, { variant: "labelSmall" }, title),
        React.createElement(react_native_picker_select_1.default, { onValueChange: onValueChange, style: pickerSelectStyles, ...props }),
        React.createElement(react_native_paper_1.HelperText, { type: "error", visible: !!error }, error)));
};
exports.FieldDropdownInput = FieldDropdownInput;
const pickerSelectStyles = {
    inputIOS: {
        fontSize: 16,
        paddingVertical: 16,
        paddingHorizontal: 10,
        borderWidth: 1,
        borderColor: "gray",
        borderRadius: 4,
        color: "black",
        paddingRight: 30, // to ensure the text is never behind the icon
        backgroundColor: "white",
    },
    inputAndroid: {
        fontSize: 16,
        paddingVertical: 12,
        paddingHorizontal: 10,
        borderWidth: 0.5,
        borderColor: "gray",
        borderRadius: 8,
        color: "black",
        paddingRight: 30, // to ensure the text is never behind the icon
        backgroundColor: "white",
    },
};
