"use strict";
// ImageDatePicker
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldDatePicker = void 0;
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_paper_1 = require("react-native-paper");
const react_native_paper_dates_1 = require("react-native-paper-dates");
const formik_1 = require("formik");
const react_native_1 = require("react-native");
const moment_1 = __importDefault(require("moment"));
const FieldDatePicker = ({ name, title, }) => {
    const [, meta, helpers] = (0, formik_1.useField)(name);
    const [visible, setVisible] = (0, react_1.useState)(false);
    const theme = (0, react_native_paper_1.useTheme)();
    const error = meta.touched && meta.error;
    const styles = {
        borderWidth: 1,
        borderColor: error ? theme.colors.error : theme.colors.outline,
        padding: 16,
        marginTop: 2,
        borderRadius: 4,
    };
    const handleConfirm = (0, react_1.useCallback)((date) => {
        helpers.setValue((0, moment_1.default)(date).format());
        setVisible(false);
    }, [helpers]);
    return (React.createElement(React.Fragment, null,
        title && React.createElement(react_native_paper_1.Text, { variant: "labelSmall" }, title),
        React.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                helpers.setTouched(true);
                setVisible(true);
            } },
            React.createElement(react_native_1.View, { style: styles },
                React.createElement(react_native_paper_1.Text, { variant: "labelLarge" }, moment_1.default.utc(meta.value).format("DD-MMM-YYYY")))),
        React.createElement(react_native_paper_dates_1.DatePickerModal, { locale: "en", mode: "single", visible: visible, onDismiss: () => setVisible(false), date: meta.value ? (0, moment_1.default)(meta.value).toDate() : undefined, onConfirm: (d) => {
                handleConfirm(d?.date);
            } }),
        React.createElement(react_native_paper_1.HelperText, { type: "error", visible: !!error }, error)));
};
exports.FieldDatePicker = FieldDatePicker;
