"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldTextInput = void 0;
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_paper_1 = require("react-native-paper");
const formik_1 = require("formik");
const FieldTextInput = ({ name, onChange, title, onBlur, ...props }) => {
    const [field, meta, helpers] = (0, formik_1.useField)(name);
    const error = meta.touched && meta.error;
    const handleBlur = (0, react_1.useCallback)(() => {
        helpers.setValue(meta.value && meta.value?.trim());
        helpers.setTouched(true);
        onBlur?.(meta.value);
    }, [helpers, meta.value, onBlur]);
    return (React.createElement(React.Fragment, null,
        title && React.createElement(react_native_paper_1.Text, { variant: "labelSmall" }, title),
        React.createElement(react_native_paper_1.TextInput, { mode: 'outlined', error: !!error, id: name, value: field.value ? field.value.toString() : '', onChangeText: text => {
                helpers.setValue(text);
                onChange?.(text);
            }, style: { width: '100%' }, onBlur: handleBlur, ...props }),
        React.createElement(react_native_paper_1.HelperText, { type: "error", visible: !!error }, error)));
};
exports.FieldTextInput = FieldTextInput;
