import type { IFile } from '../typings';
export type AttachementType = {
    isAttachment: boolean;
    values: IFile[];
    required: boolean;
    title: string;
};
export declare const CBFS_INITIAL_DATA: {
    contactNumber: string;
    businessRole: string;
    business: string;
    fullName: string;
    email: string;
    businessName: string;
    businessType: string;
    businessAddress: string;
    ntn: string;
    partnerCnic: {
        isAttachment: boolean;
        values: never[];
        required: boolean;
        title: string;
    };
    partnershipDeed: {
        isAttachment: boolean;
        values: never[];
        required: boolean;
        title: string;
    };
    incorporationCertificate: {
        isAttachment: boolean;
        values: never[];
        required: boolean;
        title: string;
    };
    authorityLetter: {
        isAttachment: boolean;
        values: never[];
        required: boolean;
        title: string;
    };
    bankDetails: {
        bankCode: string;
        accountTitle: string;
        accountNumber: string;
        iban: string;
    };
};
export declare const BusinessType: {
    partnership: {
        partnerCnic: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        partnershipDeed: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        incorporationCertificate: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        authorityLetter: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
    };
    individual: {
        cnicFront: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        cnicBack: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
    };
    branchOffice: {
        permissionLetter: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        signatoryPassports: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        formIIParticulars: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        principalOfficeAuthorization: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
    };
    company: {
        formAB: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        addendum: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        directorsResolution: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        memorandumArticlesAssociation: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        boardMemberCnic: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        pocCnic: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        beneficialOwnerCnic: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
    };
    soleProprietorship: {
        cnicFront: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        cnicBack: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        proprietorshipDeclaration: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        ntnCertificate: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
        bankStatement: {
            isAttachment: boolean;
            values: never[];
            required: boolean;
            title: string;
        };
    };
};
export declare const BUSINESS_TYPE: {
    label: string;
    value: string;
}[];
export declare const TRANSACTION_METHOD: {
    value: string;
    label: string;
}[];
export declare const CREATE_LOAN: {
    invoice_data: never[];
    required_financing: number;
    tenure: number;
};
export type PREDICTION = {
    amountPending: number;
    amountRepaid: number;
    lateFeesPending: number;
    lateFeesRepaid: number;
    markupPending: number;
    markupRepaid: number;
    statementTransactions: any[];
};
