"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Banner = void 0;
const react_1 = __importStar(require("react"));
const banner_1 = require("../data/banner");
const segmentEvents_1 = require("../data/segmentEvents");
const react_native_1 = require("react-native");
const react_native_flash_message_1 = require("react-native-flash-message");
const color_1 = require("../data/color");
const context_1 = require("../context/context");
const react_native_paper_1 = require("react-native-paper");
const segment_1 = __importDefault(require("../utils/segment"));
const Feather_1 = __importDefault(require("react-native-vector-icons/Feather"));
const Ionicons_1 = __importDefault(require("react-native-vector-icons/Ionicons"));
const Banner = ({ onClose, onPress, }) => {
    const [detail, setDetail] = (0, react_1.useState)();
    const { info, userDetail } = (0, context_1.useLMS)();
    const status = (0, react_1.useMemo)(() => {
        let contractUrl, contractValid, reason;
        if (detail) {
            contractUrl = detail.kyb?.facilities.filter((d) => d.status === "contract_pending")[0]?.envelope_url;
            contractValid = detail.kyb?.facilities.filter((d) => d.status === "contract_valid");
            reason = detail.kyb?.statuses?.filter((d) => d.status === "rejected");
        }
        return {
            contractUrl,
            contractValid,
            reason: reason && reason.length > 0 ? reason[0].reason : "",
        };
    }, [detail]);
    const RenderBanner = ({ data, color, disabled, event, iconColor }) => {
        return (react_1.default.createElement(react_native_1.View, { style: {
                ...styles.financeContainer,
                backgroundColor: color,
            } },
            react_1.default.createElement(react_native_1.View, { style: {
                    ...styles.flexRow,
                    ...styles.iconWrapper,
                } },
                react_1.default.createElement(Feather_1.default, { name: "clock", size: 28, color: iconColor }),
                react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                        onClose?.();
                    } },
                    react_1.default.createElement(Ionicons_1.default, { name: "close", size: 20, color: "#000" }))),
            react_1.default.createElement(react_native_1.View, { style: styles.gap }),
            react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge", style: { fontWeight: 500 } }, data.title),
            react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall" }, data.description),
            react_1.default.createElement(react_native_1.View, { style: styles.gap }),
            data.actionTitle && (react_1.default.createElement(react_native_paper_1.Button, { mode: "contained", disabled: disabled, style: styles.button, onPress: () => {
                    if (event) {
                        segment_1.default.track(event);
                    }
                    onPress?.({
                        type: data.type,
                        contractUrl: status.contractUrl || "",
                    });
                } }, data.actionTitle))));
    };
    (0, react_1.useEffect)(() => {
        if (!info) {
            (0, react_native_flash_message_1.showMessage)({ message: "Email is required", type: "danger" });
        }
        else {
            setDetail(userDetail);
        }
    }, [info, userDetail]);
    return (react_1.default.createElement(react_native_1.View, { style: { ...styles.container, flexWrap: "nowrap" } }, detail && (react_1.default.createElement(react_1.default.Fragment, null,
        !detail.kyb && (react_1.default.createElement(RenderBanner, { data: (0, banner_1.BANNER_DATA)().REGISTER, color: color_1.COLOR.info, iconColor: "#75B1FF" })),
        detail?.kyb && detail.kyb?.status === "pending" && (react_1.default.createElement(RenderBanner, { data: (0, banner_1.BANNER_DATA)().PENDING, color: color_1.COLOR.warning, iconColor: "#D9A514" })),
        detail.kyb &&
            detail.kyb.status === "approved" &&
            status.contractValid?.length === 0 && (react_1.default.createElement(RenderBanner, { data: (0, banner_1.BANNER_DATA)(undefined, !status.contractUrl
                ? "You will receive contract soon"
                : "Review and sign contract").APPROVED, color: color_1.COLOR.info, disabled: !status.contractUrl, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_SIGN_CONTRACT, iconColor: "#75B1FF" })),
        detail.kyb && detail.kyb.status === "rejected" && (react_1.default.createElement(RenderBanner, { data: (0, banner_1.BANNER_DATA)(status?.reason).REJECTED, color: color_1.COLOR.error, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_KYC_REGISTRATION, iconColor: "#FC9086" }))))));
};
exports.Banner = Banner;
const styles = {
    container: {
        flexDirection: "column",
        border: "1px solid red",
        flex: 1,
        width: "100%",
    },
    financeContainer: {
        display: "flex",
        flexDirection: "column",
        padding: 12,
        flexWrap: "nowrap",
        alignItems: "flex-start",
        justifyContent: "space-between",
    },
    button: { width: "100%" },
    gap: {
        width: 10,
        height: 10,
    },
    wrapper: {
        flexDirection: "column",
    },
    iconWrapper: {
        width: "100%",
        justifyContent: "space-between",
    },
    flexRow: {
        display: "flex",
        flexDirection: "row",
    },
    flexCol: {
        display: "flex",
        flexDirection: "column",
    },
};
