"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoanDetails = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const context_1 = require("../context/context");
const hooks_1 = require("../hooks");
const loan_1 = require("../typings/loan");
const ApprovedLoanDetails_1 = require("../screen/components/ApprovedLoanDetails");
const RejectedLoan_1 = require("../screen/components/RejectedLoan");
const LoanDetails = ({ loanId, onRecordClick, isRepayment, }) => {
    const [value, setValue] = (0, react_1.useState)(isRepayment ? 1 : 0);
    const [loanDetail, setLoanDetail] = (0, react_1.useState)();
    const { axiosInstance } = (0, context_1.useLMS)();
    const { setAppError } = (0, hooks_1.useAppErrors)();
    const getALoanDetail = (0, react_1.useCallback)(async () => {
        try {
            const { data } = await axiosInstance.get(`/v1/external-lending/sme/loans/${loanId}`);
            setLoanDetail(data?.loan);
        }
        catch (e) {
            setAppError(e.response.data);
        }
    }, [axiosInstance, loanId, setAppError]);
    (0, react_1.useEffect)(() => {
        if (loanId) {
            getALoanDetail();
        }
    }, [getALoanDetail, loanId]);
    return (react_1.default.createElement(react_native_1.View, { style: { padding: 16, height: '100%' } },
        !loanId && react_1.default.createElement(react_native_1.Text, null, "Provide Valid LoanId"),
        loanDetail ? (loanDetail?.status !== loan_1.FinanceAppState.REJECTED ? (react_1.default.createElement(ApprovedLoanDetails_1.ApprovedLoan, { loanDetail: loanDetail, index: value, setValue: setValue, onRecordClick: onRecordClick })) : (react_1.default.createElement(RejectedLoan_1.RejectedLoan, { loanDetail: loanDetail, value: value }))) : (react_1.default.createElement(react_native_paper_1.ActivityIndicator, { size: "large" }))));
};
exports.LoanDetails = LoanDetails;
