"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationTable = void 0;
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const loan_1 = require("../../typings/loan");
const helpers_1 = require("../../helpers");
const color_1 = require("../../data/color");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'column',
    },
    loanContainer: {
        marginBottom: 16,
        padding: 16,
        backgroundColor: 'white',
        borderRadius: 8,
        elevation: 3,
        borderWidth: 1,
        borderColor: '#E0E0E0',
    },
    flexRow: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        marginBottom: 8,
    },
    chip: {
        borderWidth: 1,
        borderRadius: 40,
        backgroundColor: '#fff',
    },
});
const ApplicationTable = ({ dataSource = [], onPress, }) => {
    const Render = (0, react_1.useCallback)(({ ...row }) => {
        return (React.createElement(react_native_1.TouchableOpacity, { onPress: () => onPress?.(loan_1.LoanListType.application, { ...row }) },
            React.createElement(react_native_1.View, { key: row.display_id, style: styles.loanContainer },
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Loan:"),
                    React.createElement(react_native_paper_1.Text, null, row.display_id)),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Status:"),
                    React.createElement(react_native_paper_1.Chip, { mode: "outlined", style: [
                            styles.chip,
                            {
                                borderColor: color_1.LOAN_COLOR[row.status],
                            },
                        ] },
                        React.createElement(react_native_paper_1.Text, { style: { color: color_1.LOAN_COLOR[row.status] } }, (0, helpers_1.pascalCase)(row.status.replaceAll('_', ' '))))),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Amount:"),
                    React.createElement(react_native_paper_1.Text, null, (row.required_financing || 0)?.toLocaleString())))));
    }, [onPress]);
    return (React.createElement(React.Fragment, null, dataSource.map(row => (React.createElement(Render, { key: row.display_id, ...row })))));
};
exports.ApplicationTable = ApplicationTable;
