"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoanItemDetails = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const moment_1 = __importDefault(require("moment"));
const loan_1 = require("../../typings/loan");
const LoanItemDetails = ({ ...props }) => {
    const isVisible = props.status !== loan_1.FinanceAppState.IN_PROGRESS &&
        props.status !== loan_1.FinanceAppState.UNDER_REVIEW;
    return (react_1.default.createElement(react_native_1.View, { style: styles.container },
        react_1.default.createElement(react_native_1.View, { style: styles.row },
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Total Loan Amount:"),
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.value },
                "PKR ",
                props.required_financing?.toLocaleString())),
        react_1.default.createElement(react_native_1.View, { style: styles.row },
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Tenure:"),
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.value },
                props.tenure,
                " days")),
        react_1.default.createElement(react_native_1.View, { style: styles.row },
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Markup Type:"),
            react_1.default.createElement(react_native_paper_1.Text, { style: styles.value }, props.type)),
        isVisible && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(react_native_1.View, { style: styles.row },
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Markup Rate:"),
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.value }, parseFloat(`${props.markup}`).toFixed(2))),
            react_1.default.createElement(react_native_1.View, { style: styles.row },
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Start Date:"),
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.value }, (0, moment_1.default)(props.disbursement_date).format('DD/MM/YY'))),
            react_1.default.createElement(react_native_1.View, { style: styles.row },
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.label }, "Repayment End Date:"),
                react_1.default.createElement(react_native_paper_1.Text, { style: styles.value }, props.tenure
                    ? (0, moment_1.default)(props.disbursement_date)
                        .add(props.tenure, 'days')
                        .format('DD/MM/YY')
                    : '-'))))));
};
exports.LoanItemDetails = LoanItemDetails;
const styles = react_native_1.StyleSheet.create({
    container: {
        display: 'flex',
        flexDirection: 'column',
        paddingTop: 20,
        paddingBottom: 20,
    },
    row: {
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'space-between',
        marginBottom: 5,
    },
    label: {
        fontWeight: '600',
        fontSize: 16,
    },
    value: {
        fontSize: 16,
    },
});
