"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RejectedLoan = void 0;
const react_1 = __importDefault(require("react"));
const react_native_paper_1 = require("react-native-paper");
const react_native_1 = require("react-native");
const loan_1 = require("../../typings/loan");
const helpers_1 = require("../../helpers");
const AntDesign_1 = __importDefault(require("react-native-vector-icons/AntDesign"));
const RejectedLoanDetails_1 = require("../../screen/components/RejectedLoanDetails");
const components_1 = require("../../components");
const RejectedLoan = ({ loanDetail }) => {
    const reason = loanDetail.statuses?.filter(d => d.status === loan_1.FinanceAppState.REJECTED);
    const theme = (0, react_native_paper_1.useTheme)();
    return (react_1.default.createElement(react_native_1.View, { style: { width: '100%' } },
        react_1.default.createElement(react_native_1.View, null,
            react_1.default.createElement(react_native_1.View, { style: styles.row },
                react_1.default.createElement(react_native_paper_1.Text, { style: { fontWeight: '600', fontSize: 18 } },
                    "Loan ",
                    loanDetail.display_id),
                react_1.default.createElement(react_native_paper_1.Chip, { mode: "outlined", style: { marginLeft: 8 }, textStyle: { color: theme.colors.error } }, (0, helpers_1.pascalCase)(loanDetail.status.replaceAll('_', ' ')))),
            react_1.default.createElement(react_native_paper_1.Divider, { style: { marginVertical: 8 } }),
            react_1.default.createElement(react_native_1.View, { style: styles.card },
                react_1.default.createElement(react_native_1.View, { style: [styles.row, { justifyContent: 'flex-start' }] },
                    react_1.default.createElement(AntDesign_1.default, { name: 'infocirlce' }),
                    react_1.default.createElement(react_native_paper_1.Text, { style: {
                            marginLeft: 8,
                            fontWeight: '600',
                            fontSize: 16,
                        } }, "Rejection Reason")),
                react_1.default.createElement(react_native_paper_1.Text, { style: { fontSize: 14, marginTop: 8 } }, reason && reason.length > 0
                    ? reason[reason.length - 1].comment
                    : ''))),
        react_1.default.createElement(components_1.Gutter, { spacing: 2 }),
        react_1.default.createElement(react_native_1.View, { style: { width: '100%' } },
            react_1.default.createElement(RejectedLoanDetails_1.RejectedLoanDetails, { ...loanDetail, reason: reason }))));
};
exports.RejectedLoan = RejectedLoan;
const styles = react_native_1.StyleSheet.create({
    row: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'space-between',
    },
    card: {
        width: '100%',
        padding: 10,
    },
    tabBar: {
        backgroundColor: 'white',
    },
    tabLabel: {
        color: 'black',
    },
    tabIndicator: {
        backgroundColor: 'black',
    },
});
