"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RejectedLoanDetails = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const RejectedLoanDetails = ({ reason, ...props }) => {
    return (react_1.default.createElement(react_native_1.View, { style: styles.grid },
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { fontWeight: '600' }] }, "Requested Amount:"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.value] },
            "PKR ",
            props.required_financing?.toLocaleString()),
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { fontWeight: '600' }] }, "Financing Term:"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.value] },
            props.tenure,
            " days"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { fontWeight: '600' }] }, "Markup type:"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.value] }, props.type),
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { fontWeight: '600' }] }, "Reason:"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.value] }, reason && reason.length > 0 ? reason[reason.length - 1].reason : ''),
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { fontWeight: '600' }] }, "Comment:"),
        react_1.default.createElement(react_native_1.Text, { style: [styles.value] }, reason && reason.length > 0 ? reason[reason.length - 1].comment : '')));
};
exports.RejectedLoanDetails = RejectedLoanDetails;
const styles = react_native_1.StyleSheet.create({
    grid: {
        display: 'flex',
        flexDirection: 'row',
        flexWrap: 'wrap',
    },
    label: {
        width: '50%',
        padding: 5,
    },
    value: {
        width: '50%',
        padding: 5,
    },
});
