"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepaymentTable = void 0;
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const moment_1 = __importDefault(require("moment"));
const helpers_1 = require("../../helpers");
const color_1 = require("../../data/color");
const RepaymentTable = ({ dataSource = [], }) => {
    const RepaymentCard = (0, react_1.useCallback)(({ transaction, index }) => {
        return (React.createElement(react_native_1.View, { style: styles.card },
            React.createElement(react_native_1.View, null,
                React.createElement(react_native_1.View, { style: styles.row },
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, "S.No: "),
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, index + 1)),
                React.createElement(react_native_1.View, { style: styles.row },
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, "Amount (PKR):"),
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, transaction.amount)),
                React.createElement(react_native_1.View, { style: styles.row },
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, "Method"),
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, (0, helpers_1.pascalCase)(transaction?.method).replaceAll('_', ' ')))),
            React.createElement(react_native_1.View, null,
                React.createElement(react_native_1.View, { style: styles.row },
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, "Payment Date"),
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, (0, moment_1.default)(transaction.created_at).format('DD/MM/YY'))),
                React.createElement(react_native_1.View, { style: styles.row },
                    React.createElement(react_native_paper_1.Text, { style: styles.text }, "Status"),
                    React.createElement(react_native_paper_1.Chip, { style: styles.chip, mode: "outlined", textStyle: { color: color_1.LOAN_COLOR[transaction.status] } }, (0, helpers_1.pascalCase)(transaction.status)))),
            React.createElement(react_native_1.TouchableOpacity, { onPress: () => react_native_1.Linking.openURL(transaction.transaction_image) },
                React.createElement(react_native_paper_1.Text, { style: styles.link },
                    "Attachment-",
                    index + 1))));
    }, []);
    return (React.createElement(react_native_1.ScrollView, null, dataSource.map((transaction, index) => (React.createElement(RepaymentCard, { key: transaction._id, transaction: transaction, index: index })))));
};
exports.RepaymentTable = RepaymentTable;
const styles = react_native_1.StyleSheet.create({
    card: {
        marginBottom: 10,
        borderWidth: 1,
        borderColor: '#dcdcdc',
        padding: 16,
        borderRadius: 8,
    },
    row: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        marginBottom: 10,
        alignItems: 'center',
    },
    text: {
        fontSize: 16,
    },
    chip: {
        marginTop: 5,
        borderRadius: 40,
    },
    link: {
        color: 'blue',
        marginTop: 10,
    },
});
