"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoanRepayment = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const context_1 = require("../../context/context");
const hooks_1 = require("../../hooks");
const components_1 = require("../../components");
const moment_1 = __importDefault(require("moment"));
const RepaymentTable_1 = require("../components/RepaymentTable");
const LoanRepayment = ({ ...props }) => {
    const { axiosInstance } = (0, context_1.useLMS)();
    const [repayments, setRepayments] = (0, react_1.useState)([]);
    const { setAppError } = (0, hooks_1.useAppErrors)();
    const getRepaymentList = (0, react_1.useCallback)(async () => {
        try {
            const { data } = await axiosInstance.get(`/v1/external-lending/sme/loans/${props._id}/transaction`);
            setRepayments(data);
        }
        catch (e) {
            setAppError(e.response.data);
        }
    }, [axiosInstance, props._id, setAppError]);
    (0, react_1.useEffect)(() => {
        if (props._id) {
            getRepaymentList();
        }
    }, [getRepaymentList, props._id]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.View, { style: {
                display: 'flex',
                flexDirection: 'column',
                gap: 10,
                paddingTop: 20,
                paddingBottom: 20,
                paddingLeft: 16,
                paddingRight: 16,
            } },
            react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', justifyContent: 'space-between' } },
                react_1.default.createElement(react_native_1.Text, { style: { fontWeight: '600' } }, "Amount Repaid:"),
                react_1.default.createElement(react_native_1.Text, null,
                    "PKR ",
                    props.payments?.principal_repaid?.toLocaleString())),
            react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', justifyContent: 'space-between' } },
                react_1.default.createElement(react_native_1.Text, { style: { fontWeight: '600' } }, "Amount Due:"),
                react_1.default.createElement(react_native_1.Text, null,
                    "PKR",
                    ' ',
                    ((props.pending?.principal || 0) + (props.pending?.markup_fee || 0)).toLocaleString())),
            react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', justifyContent: 'space-between' } },
                react_1.default.createElement(react_native_1.Text, { style: { fontWeight: '600' } }, "Repayment End Date:"),
                react_1.default.createElement(react_native_1.Text, null, props.tenure
                    ? (0, moment_1.default)(props.disbursement_date)
                        .add(props.tenure, 'days')
                        .format('DD/MM/YY')
                    : '-')),
            props.pending && props.pending?.late_fees > 0 && (react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', justifyContent: 'space-between' } },
                react_1.default.createElement(react_native_1.Text, { style: { fontWeight: '600' } }, "Late Fee:"),
                react_1.default.createElement(react_native_1.Text, null, props.pending?.late_fees.toLocaleString())))),
        react_1.default.createElement(components_1.Gutter, null),
        react_1.default.createElement(RepaymentTable_1.RepaymentTable, { dataSource: repayments })));
};
exports.LoanRepayment = LoanRepayment;
