"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoansTable = void 0;
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const moment_1 = __importDefault(require("moment"));
const loan_1 = require("../../typings/loan");
const helpers_1 = require("../../helpers");
const date_1 = require("../../helpers/date");
const color_1 = require("../../data/color");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'column',
    },
    loanContainer: {
        marginBottom: 16,
        padding: 16,
        backgroundColor: 'white',
        borderRadius: 8,
        elevation: 3,
        borderWidth: 1,
        borderColor: '#E0E0E0',
    },
    flexRow: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        marginBottom: 8,
    },
    chip: {
        borderWidth: 1,
        borderRadius: 40,
        backgroundColor: '#fff',
    },
});
const LoansTable = ({ dataSource = [], onPress, }) => {
    const Render = (0, react_1.useCallback)(({ ...row }) => {
        return (React.createElement(react_native_1.TouchableOpacity, { onPress: () => onPress?.(loan_1.LoanListType.loan, row) },
            React.createElement(react_native_1.View, { key: row.display_id, style: styles.loanContainer },
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Loan:"),
                    React.createElement(react_native_paper_1.Text, null, row.display_id)),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Status:"),
                    React.createElement(react_native_paper_1.Chip, { mode: "outlined", style: [
                            styles.chip,
                            {
                                borderColor: color_1.LOAN_COLOR[row.status],
                            },
                        ] },
                        React.createElement(react_native_paper_1.Text, { style: { color: color_1.LOAN_COLOR[row.status] } }, (0, helpers_1.pascalCase)(row.status.replaceAll('_', ' '))))),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "End Date:"),
                    React.createElement(react_native_paper_1.Text, null,
                        row.status === loan_1.FinanceAppState.DISBURSED
                            ? (0, moment_1.default)(row.due_date).format('DD/MM/YY')
                            : '',
                        React.createElement(react_native_paper_1.Text, { style: { color: 'red' } }, row.status === loan_1.FinanceAppState.DISBURSED
                            ? (0, date_1.getDateFormat)(row?.due_date || '')
                            : ''))),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Principal (PKR):"),
                    React.createElement(react_native_paper_1.Text, null, (row.required_financing || 0).toLocaleString())),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Markup (PKR):"),
                    React.createElement(react_native_paper_1.Text, null, row.status === loan_1.FinanceAppState.DISBURSED
                        ? parseFloat(`${row.pending?.markup_fee || 0}`).toLocaleString()
                        : '')),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Repaid (PKR):"),
                    React.createElement(react_native_paper_1.Text, null, row.status === loan_1.FinanceAppState.DISBURSED
                        ? (parseFloat(`${row.payments?.markup_fee || 0}`) +
                            parseFloat(`${row.payments?.principal_repaid || 0}`) +
                            parseFloat(`${row.payments?.late_fees || 0}`)).toLocaleString()
                        : '')),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Late Fee (PKR):"),
                    React.createElement(react_native_paper_1.Text, null, row.status === loan_1.FinanceAppState.DISBURSED
                        ? (parseFloat(`${row.pending?.late_fees || 0}`) +
                            parseFloat(`${row.payments?.late_fees || 0}`)).toLocaleString()
                        : '')),
                React.createElement(react_native_1.View, { style: styles.flexRow },
                    React.createElement(react_native_paper_1.Text, null, "Amount Due (PKR):"),
                    React.createElement(react_native_paper_1.Text, null, row.status === loan_1.FinanceAppState.DISBURSED
                        ? (parseFloat(`${row.pending?.markup_fee || 0}`) +
                            parseFloat(`${row.pending?.principal || 0}`) +
                            parseFloat(`${row.pending?.late_fees || 0}`)).toLocaleString()
                        : '')))));
    }, [onPress]);
    return (React.createElement(React.Fragment, null, dataSource.map(row => (React.createElement(Render, { key: row.display_id, ...row })))));
};
exports.LoansTable = LoansTable;
