import type { CustomerStatus, IFacility, IFile, IPartnerSnapshot, Status } from './common';
export declare enum KYBBusinessType {
    PARTNERSHIP = "partnership",
    SOLE_PROPRIETORSHIP = "soleProprietorship",
    COMPANY = "company",
    INDIVIDUAL = "individual",
    BRANCH_OFFICE = "branchOffice"
}
export type CompanyType = 'public_limited_company' | 'private_limited_company';
export interface IKyb {
    _id: string;
    id?: string;
    fullName: string;
    email: string;
    contactNumber: string;
    businessName: string;
    user_id: string;
    businessAddress: string;
    ntn: string;
    status: CustomerStatus;
    statuses?: Status[];
    company_type?: CompanyType;
    available_credit_limit?: number;
    credit_limit?: number;
    markup?: number;
    proposed_credit_limit?: number;
    proposed_markup?: number;
    facilities: IFacility[];
    industry?: string;
    product?: string;
    product_codes?: string | string[];
    yearsExperienceProduct?: number;
    partnerCnic?: IFile[];
    partnershipDeed?: IFile[];
    incorporationCertificate?: IFile[];
    authorityLetter?: IFile[];
    directorsResolution?: IFile[];
    memorandumArticlesAssociation?: IFile[];
    boardMemberCnic?: IFile[];
    pocCnic?: IFile[];
    beneficialOwnerCnic?: IFile[];
    cnicFront?: IFile[];
    cnicBack?: IFile[];
    proprietorshipDeclaration?: IFile[];
    ntnCertificate?: IFile[];
    bankStatement?: IFile[];
    financialStatement?: IFile[];
    addendum?: IFile[];
    formAB?: IFile[];
    created_at?: string;
    updated_at?: string;
    verification_checks?: Record<string, unknown>;
    partner?: IPartnerSnapshot;
    meta?: {
        assignee?: string;
        fi_id?: string;
    };
}
