import React from 'react';
import {StyleSheet, Text, View} from 'react-native';
import {ILoan, StatusObject} from '../../typings/loan';

export const RejectedLoanDetails: React.FC<
  ILoan & {reason?: StatusObject[]}
> = ({reason, ...props}) => {
  return (
    <View style={styles.grid}>
      <Text style={[styles.label, {fontWeight: '600'}]}>Requested Amount:</Text>
      <Text style={[styles.value]}>
        PKR {props.required_financing?.toLocaleString()}
      </Text>

      <Text style={[styles.label, {fontWeight: '600'}]}>Financing Term:</Text>
      <Text style={[styles.value]}>{props.tenure} days</Text>

      <Text style={[styles.label, {fontWeight: '600'}]}>Markup type:</Text>
      <Text style={[styles.value]}>{props.type}</Text>

      <Text style={[styles.label, {fontWeight: '600'}]}>Reason:</Text>
      <Text style={[styles.value]}>
        {reason && reason.length > 0 ? reason[reason.length - 1].reason : ''}
      </Text>

      <Text style={[styles.label, {fontWeight: '600'}]}>Comment:</Text>
      <Text style={[styles.value]}>
        {reason && reason.length > 0 ? reason[reason.length - 1].comment : ''}
      </Text>
    </View>
  );
};

const styles = StyleSheet.create({
  grid: {
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
  label: {
    width: '50%',
    padding: 5,
  },
  value: {
    width: '50%',
    padding: 5,
  },
});
